<?php
/* Mantenimiento de los registros de la tabla MST_ReferenciaProductoCatTalla redefinidos por el usaurio */
class MST_ReferenciaProductoCatTallaDP extends BaseMST_ReferenciaProductoCatTallaDP
{
    public static function eliminarPorReferencia( $s_Id )
    {
        $s_Sql = "delete from MST_ReferenciaProductoCatTalla where IdReferencia='$s_Id'";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
    }

    public static function eliminarPorReferenciaColor( $s_IdReferencia, $s_IdColor )
    {
        $s_Sql = "delete from MST_ReferenciaProductoCatTalla where IdReferencia='$s_IdReferencia' and IdColor='$s_IdColor' ";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
    }

    public static function eliminarPorReferenciaColorCat( $s_IdReferencia, $s_IdColor, $s_IdCategoria )
    {
        $s_Sql = "delete from MST_ReferenciaProductoCatTalla where IdReferencia='$s_IdReferencia' and IdColor='$s_IdColor' and IdCatTalla='$s_IdCategoria' ";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
    }
}
?>